Вторая ошибка проявляется при использовании OpenSSL совместно с Kerberos ciphersuites, и она также приводит к аварийному завершению работы. Третья ошибка позволяет ввести OpenSSL в бесконечный цикл и проявляется в плохо протестированной версии 0.9.6d. Компания Cisco, которая использует OpenSSL для управления и конфигурирования своих продуктов, объявила о возможности применения перечисленных выше атак против ее оборудования. В качестве уязвимых названы операционные системы Cisco IOS 12.1(11)E и 12.2SY в версии crypto, а также устройства PIX Firewall и модули межсетевого экрана для Catalyst 6500 и маршрутизаторов серии 7600, а также MDS 9000, CSS 11000, GSS 4480, CWCS 2.2, CMF 2.1 и CAR. Компания Cisco предлагает бесплатное обновление указанных продуктов для лечения открывшихся "ран".

Поделитесь материалом с коллегами и друзьями